@extends('adminlte::page')

@section('content')

@if( Request::get('sub_category') )
@section('content_header', __('admin.create_subcategory'))
@else
@section('content_header', __('admin.create_category'))
@endif

<!-- box -->
<div class="row">

    <!-- col -->
    <div class="col-md-12">

        @if(count($errors) > 0)
        <div class="alert alert-danger">
            @foreach($errors->all() as $error)
            <p><i class="fas fa-minus-circle"></i> {{$error}}</p>
            @endforeach
        </div>
        @endif @if(Session::has('success'))
        <div class="alert alert-success">
            <p><i class="fas fa-check-circle"></i> {{ Session::get('success') }}</p>
        </div>
        @endif

        <!-- general form elements -->
        <div class="box">

            <!-- form -->
            <form method="POST" enctype="multipart/form-data" action="{{url(env('ADMIN_URL').'/categories')}}">
                @csrf @method('POST')

                <!-- box-body -->
                <div class="box-body">

                    @if(!Request::get('sub_category'))

                    <!-- row -->
                    <div class="row">

                        <div class="col-md-4">
                            <div class="form-group">
                                <label>@lang('admin.language') <span class="text-danger">*</span></label>
                                <select title="@lang('admin.select_language')" name="language" class="form-control selectpicker" data-live-search="true">
                                    @foreach($translations as $translation)
                                    <option value="{{ $translation->id }}" data-content="<span class='fi fi-{{$translation['icon']}}'></span> {{$translation['language']}}" @if(Request::get('language')) {{ Request::get('language') == $translation->id ? ' selected' : '' }} @else {{ old('language', $array_data['site_language_id']) == $translation['id'] ? 'selected' : '' }} @endif></option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                    </div>
                    <!-- /.row -->

                    @endif

                    <div class="form-group">
                        <label>@lang('admin.title') <span class="text-danger">*</span></label>
                        <input type="text" name="title" class="form-control" value="{{old('title')}}" placeholder="@lang('admin.title')" />
                    </div>

                    <div class="form-group">
                        <label>@lang('admin.slug')</label>
                        <input type="text" name="slug" class="form-control" value="{{old('slug')}}" placeholder="@lang('admin.slug')" />
                    </div>

                    <div class="form-group">
                        <label>@lang('admin.parent_category')</label>
                        <select title="@lang('admin.select_category')" name="parent_id" class="form-control selectpicker" data-live-search="true">

                            <option class="category-head" value="0" selected>@lang('admin.none')</option>
                            @foreach($categories as $main_category)
                            <option class="category-head" value="{{ $main_category->id }}" data-content="[{{$array_data['language_code'][$main_category->language]}}] {{$main_category->title}}" {{ Request::get('sub_category') == $main_category->id ? ' selected' : '' }}></option>

                            @endforeach

                        </select>
                    </div>

                    <div class="form-group">
                        <a href="{{ asset('images/categories') }}/no_image.png" data-toggle="lightbox"><img src="{{ asset('images/categories') }}/no_image.png" class="img-responsive site-icon"></a>
                        <label>@lang('admin.category_icon')</label><br />
                        <label class="btn btn-outline btn-sm" id="browse-color-image">@lang('admin.browse')<input type="file" name="image" id="import-file-select" class="hidden"></label>
                    </div>


                    <!-- row -->
                    <div class="row">

                        <div class="col-md-6">
                            <div class="form-group">
                                <label>@lang('admin.show_on_home_page')</label><br />
                                <input type="checkbox" name="home_page" @if(!old() || old('home_page')=='on' ) checked="checked" @endif>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label>@lang('admin.show_on_footer')</label><br />
                                <input type="checkbox" name="footer" {{ old('footer') == "on" ? 'checked' : '' }}>
                            </div>
                        </div>

                    </div>
                    <!-- row -->

                    <hr class="divider" />

                    <div class="row">

                        <div class="col-md-12">
                            <label class="section-head">@lang('admin.seo_settings')</label>
                        </div>

                    </div>
                    <!-- /.row -->

                    <div class="form-group">
                        <label>@lang('admin.custom_title')</label>
                        <input type="text" name="custom_title" class="form-control" value="{{old('custom_title')}}" placeholder="@lang('admin.custom_title')" />
                    </div>

                    <div class="form-group">
                        <label>@lang('admin.custom_description')</label>
                        <textarea class="form-control" name="custom_description" rows="3" placeholder="@lang('admin.custom_description')">{{old('custom_description')}}</textarea>
                    </div>

                    <div class="form-group">
                        <label>@lang('admin.custom_content')</label>
                        <textarea class="textarea textarea-style" name="custom_content" placeholder="@lang('admin.custom_content')">{{old('custom_content')}}</textarea>
                    </div>

                </div>
                <!-- /.box-body -->

                <div class="box-footer">
                    <button type="submit" class="btn btn-primary">@lang('admin.submit')</button>
                </div>

            </form>
            <!-- /.form -->

        </div>
        <!-- /.general form elements -->

    </div>
    <!-- /.col -->

</div>
<!-- /.box -->

@endsection